## ros-indigo-baxter-ikfast-left-arm-plugin 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(baxter_ikfast_left_arm_plugin)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
  tf_conversions
  cmake_modules
)

find_package(Eigen REQUIRED)
include_directories(SYSTEM ${EIGEN_INCLUDE_DIRS})

include_directories(${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

catkin_package(
  LIBRARIES
  DEPENDS
  moveit_core
  pluginlib
  roscpp
  tf_conversions
)

include_directories(include)

set(IKFAST_LIBRARY_NAME baxter_left_arm_moveit_ikfast_plugin)

find_package(LAPACK REQUIRED)

add_library(${IKFAST_LIBRARY_NAME} src/baxter_left_arm_ikfast_moveit_plugin.cpp)
target_link_libraries(${IKFAST_LIBRARY_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})

install(TARGETS ${IKFAST_LIBRARY_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY include/ DESTINATION include)

install(
  FILES
  baxter_left_arm_moveit_ikfast_plugin_description.xml
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-baxter-ikfast-left-arm-plugin (1.0.7-0trusty) trusty; urgency=high

  * [fix] Added missing dependency on lapack and blas
  * Contributors: Dave Coleman

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Tue, 15 Nov 2016 08:00:00 -0000

ros-indigo-baxter-ikfast-left-arm-plugin (1.0.6-0trusty) trusty; urgency=high



 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Tue, 19 Apr 2016 07:00:00 -0000

ros-indigo-baxter-ikfast-left-arm-plugin (1.0.5-0trusty) trusty; urgency=high



 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Wed, 10 Feb 2016 08:00:00 -0000

ros-indigo-baxter-ikfast-left-arm-plugin (1.0.4-0trusty) trusty; urgency=high



 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Fri, 15 Jan 2016 08:00:00 -0000

ros-indigo-baxter-ikfast-left-arm-plugin (1.0.3-0trusty) trusty; urgency=high

  * [fix] Manually move ikfast.h from include/ to include/baxter_ikfast_{left/right}_arm_plugin/include
  * Contributors: Kei Okada

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Mon, 02 Nov 2015 08:00:00 -0000

ros-indigo-baxter-ikfast-left-arm-plugin (1.0.1-0trusty) trusty; urgency=high

  * Initial binary DEB release
  * Contributors: Kyle Maroney, Kei Okada

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Sat, 19 Sep 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-baxter-ikfast-left-arm-plugin
Section: misc
Priority: extra
Maintainer: Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>
Build-Depends: debhelper (>= 9.0.0), liblapack-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-moveit-core, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf-conversions
Homepage: http://www.rethinkrobotics.com/sdk
Standards-Version: 3.9.2

Package: ros-indigo-baxter-ikfast-left-arm-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cmake-modules, ros-indigo-moveit-core, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf-conversions
Description: The baxter_ikfast_left_arm_plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-baxter-ikfast-left-arm-plugin//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
